Subject: TIImageTool v1.2

From: "Michael Zapf" <[email-masked]>
Date: Wed, 23 May 2012 22:22:41 -0000

Hi all,

just wanted to inform you about a new version of TIImageTool, to be found in the Files section of this forum and by http://www.mizapf.de/ti99/tiimagetool.zip .

The most significant change is that you can now read devices directly without dumping them to an image file. Yes, this means you can read your flash card with TIImageTool. If Windows finds your Flash card as drive E: (but suggests to format it because it does not know the TI file system), you start TIImageTool, select "Open device", and just type "E:" into the dialog field.

Big HOWEVER for Windows: I could not arrange to get write access to the flash card. If someone knows more about this in Java, please speak up.

The problem is that I can open the flash card with a

RandomAccessFile flash = new RandomAccessFile(deviceName, "r") for reading, which works correctly, but a

RandomAccessFile flash = new RandomAccessFile(deviceName, "rw") for read-write access fails with a FileNotFoundException.

As it seems, Java was unable to open the device file, tries to create it (usual behaviour), and fails, thus issuing this exception. As you see the only difference is the open mode, so I currently don't see how to fix that.

(Windows users please ignore the following lines, I'm addressing the Linux people: shhh, yes, it's perfectly working in Linux; if your flash card is available as /dev/sdc just type in this path name. Other than in Windows we have full write access here. However, you must have access to the device file, which normally means you must be root.)

Besides that I fixed an error in the disassembler and added a feature to import plain binary files into an image (which is useful if you want to disassemble some ROMs like the console ROM or cartridge ROMs).

Michael